slepc-3.21.1 2024-04-26
Report Typos and Errors

# EPSSetStoppingTest

Specifies how to decide the termination of the outer loop of the eigensolver.

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSSetStoppingTest(EPS eps,EPSStop stop)

Logically Collective

### Input Parameters

| eps | - eigensolver context obtained from EPSCreate()
| stop | - the type of stopping test

### Options Database Keys

| -eps_stop_basic | - Sets the default stopping test
| -eps_stop_user | - Selects the user-defined stopping test

### Note

The parameter 'stop' can have one of these values

| EPS_STOP_BASIC | - default stopping test
| EPS_STOP_USER | - function set by EPSSetStoppingTestFunction()

### See Also

EPSGetStoppingTest(), EPSSetStoppingTestFunction(), EPSSetConvergenceTest(), EPSStop

### Level

advanced

### Location

src/eps/interface/epsopts.c
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages